Adaptar SciTE para Lua 5.2

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Adaptar SciTE para Lua 5.2

Ulisses Piassa
Bom dia galera,

Alguém sabe se tem alguma forma de adaptar o SciTE pra Lua 5.2 no Windows?

Estou sambando aqui e tá complicado... As vezes preciso fazer alguns testes com funções bitwise e o SciTE não as suporta por rodar 5.1.

Alguém poderia me ajudar?

Valeu!

[]'s

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Adaptar SciTE para Lua 5.2

Ignacio Burgueño-2
Você precisa SciTE o pode usar algum outro editor? De uma olhada para o ZeroBrane: http://studio.zerobrane.com/ 
 
Já sei que não é o que você esta perguntando mais si você só precisa fazer testes com Lua 5.2 ...

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Adaptar SciTE para Lua 5.2

Ulisses Piassa
Ok Ignacio, vou dar uma olhada.

Valeu!!

2016-01-27 11:13 GMT-02:00 Ignacio Burgueño <[hidden email]>:
Você precisa SciTE o pode usar algum outro editor? De uma olhada para o ZeroBrane: http://studio.zerobrane.com/ 
 
Já sei que não é o que você esta perguntando mais si você só precisa fazer testes com Lua 5.2 ...

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Adaptar SciTE para Lua 5.2

Denis Dos Santos Silva
In reply to this post by Ulisses Piassa
Ulisses lua 5.1 não tem suporte a bitwise, excepcionalmente como binding (extensões em C).

Em quarta-feira, 27 de janeiro de 2016 08:39:52 UTC-2, Ulisses Piassa escreveu:
Bom dia galera,

Alguém sabe se tem alguma forma de adaptar o SciTE pra Lua 5.2 no Windows?

Estou sambando aqui e tá complicado... As vezes preciso fazer alguns testes com funções bitwise e o SciTE não as suporta por rodar 5.1.

Alguém poderia me ajudar?

Valeu!

[]'s

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Adaptar SciTE para Lua 5.2

Ulisses Piassa
Denis,

Sim... por isso que estava tentando adaptar o SciTE para Lua 5.2... Até encontrei um arquivo o qual o autor fez uma adaptação, mas não entendi como configurar o arquivo lua.properties.

Valeu.

2016-01-27 12:34 GMT-02:00 Denis Dos Santos Silva <[hidden email]>:
Ulisses lua 5.1 não tem suporte a bitwise, excepcionalmente como binding (extensões em C).


Em quarta-feira, 27 de janeiro de 2016 08:39:52 UTC-2, Ulisses Piassa escreveu:
Bom dia galera,

Alguém sabe se tem alguma forma de adaptar o SciTE pra Lua 5.2 no Windows?

Estou sambando aqui e tá complicado... As vezes preciso fazer alguns testes com funções bitwise e o SciTE não as suporta por rodar 5.1.

Alguém poderia me ajudar?

Valeu!

[]'s

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Adaptar SciTE para Lua 5.2

Denis Dos Santos Silva
In reply to this post by Ulisses Piassa
Piassa, eu não uso IDE pra Lua, mas, vamos lá...

onde tá essa correção do SciTe + versão que você está usando ?


a biblioteca que funcionou comigo foi essa para lua 5.1.5 -> http://bitop.luajit.org



Em quarta-feira, 27 de janeiro de 2016 08:39:52 UTC-2, Ulisses Piassa escreveu:
Bom dia galera,

Alguém sabe se tem alguma forma de adaptar o SciTE pra Lua 5.2 no Windows?

Estou sambando aqui e tá complicado... As vezes preciso fazer alguns testes com funções bitwise e o SciTE não as suporta por rodar 5.1.

Alguém poderia me ajudar?

Valeu!

[]'s

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.